#include <bits/stdc++.h>
#include<ext/pb_ds/assoc_container.hpp>

using namespace __gnu_pbds;

using namespace std;
template <class T> using indexed_set = tree<T,null_type,less<T>,rb_tree_tag,tree_order_statistics_node_update>;
#define pb push_back
template<class T> using pqg = priority_queue<T,vector<T>,greater<T>>;
const char nl = '\n';
const long long int ll_MAX=9223372036854775807;


int main()
{

    ios_base::sync_with_stdio(false);
    cin.tie(NULL);





     int tp;
    cin>>tp;
    int n,k;
    cin>>n>>k;
    int a[n];
    for(int i =0;i<n;i++){
        cin>>a[i];
    }
    if(abs(n-k)%2)cout<<"NE";
    else cout<<"DA";
    return 0;
}